# Dynamic Newmark - Support files

This git repository provides support for article ???.

## Newmark_final_2.py

This file generates all graphs from article. File execusion via console by command

```
python3 Newmark_final_2.py
```

## Viscodynamic_3D.py

Support file for Section 4.2, where generalization of numerical integrator is introduced. We consider a unit cube fixed on the bottom surface and subjected to a ramp load with the tensile traction of intensity
1.0 MNm$`^{-2}`$ perpendicular to the top surface. See picture below.

![st_scheme](st_scheme.jpg)

Material is described by generalized Maxwell model with following parameters

| p   | k_p[MN/m] | theta_p[s] |
| :-: | :-:      | :-----:    |
| 1   | 1.177    | 0.001      |
| 2   | 0.447    | 0.01       |
| 3   | 0.265    | 0.1        |
| 4   | 0.323    | 1.0        |
| 5   | 0.267    | 10.0       |
| 6   | 0.350    | 100.0      |
| 7   | 0.411    | 1000.0     |

Poisson ratio is considered to be constant and material density is $`\rho=1.0\cdot 10^6`$ kg/m$`^3`$.

Code use python interface for library FEniCS 2018.1.0. It is necessary to install FEniCS before running the code. Installation instructions are available on https://fenicsproject.org/download/. Execusion by command

```
python3 Viscodynamic_3D.py
```
Result (rendered by Paraview):

![viscosity3d](viscosity3d.gif)